org.apache.ignite.internal.processors.rest.request

## Class GridRestBaselineRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestBaselineRequest

    public class GridRestBaselineRequest
    extends GridRestRequest

Grid command topology request.

### Constructor Summary

Constructors
Constructor and Description
`GridRestBaselineRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `consistentIds()`
`void` `consistentIds(List<Object> consistentIds)`
`Long` `topologyVersion()`
`void` `topologyVersion(Long topVer)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestBaselineRequest

    public GridRestBaselineRequest()

### Method Detail

#### topologyVersion

    public Long topologyVersion()

Returns:
  Topology version to set.

#### topologyVersion

    public void topologyVersion(Long topVer)

Parameters:
  `topVer` - New topology version to set.

#### consistentIds

    public List<Object> consistentIds()

Returns:
  Collection of consistent IDs to set.

#### consistentIds

    public void consistentIds(List<Object> consistentIds)

Parameters:
  `consistentIds` - New collection of consistent IDs to set.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020